body {
    color: #b1b1b1;
    background-color: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    font-family: Arial, sans-serif;
}

header{
    position: absolute;
    top: 20px;
    left: 20px;
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
}

footer{
    position: absolute;
    bottom: 20px;
    right: 20px;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
}

.display-area {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    width: 100%;
    margin-bottom: 20px;
    background-color: #1e1e1e;
    border-radius: 5px;
    box-sizing: border-box;
}

h2 {
    display: flex;
    justify-content: right;
    align-items: center;
    margin-bottom: 0px;
    margin-top: 0px;
    margin-right: 20px;
    font-size: xx-large;
}

h1 {
    display: flex;
    justify-content: left;
    align-items: left;
    margin-bottom: 20px;
    margin-top: 10px;
    font-size: xx-large;
    font-family: sans-serif;
}

buttons {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 400px;
    align-items: center;
}

button {
    background-color: #1e1e1e;
    color: #b1b1b1;
    border: none;
    width: 90px;
    height: 70px;
    margin: 5px;
    font-size: xx-large;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s, color 0.3s;
}

button.operator {
    background-color: #ff9900;
    color: #000000;
    display: flex;
    justify-content: center;
    align-items: center;
}

input {
    width: 100%;
    height: 50px;
    margin-right: 20px;
    font-size: 24px;
    text-align: right;
    border: none;
    border-radius: 5px;
    background-color: #1e1e1e00;
    color: #b1b1b1;
    align-items: center;
    justify-content: center;
}

button.mode-button {
    background-color: #333333;
    color: #b1b1b1;
    border: none;
    width: auto;
    height: 40px;
    margin: 5px;
    font-size: large;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s, color 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
}